summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Eden <sven.eden@gmx.de>2014-12-11 20:09:54 +0100
committerSven Eden <sven.eden@gmx.de>2014-12-11 20:09:54 +0100
commitf3a6a29e36628819f5644facdc3d527ec0b1ef30 (patch)
tree0d701f3b1b5d69dc6d03bd9287918a3ece341352
parentx11-misc/virtualgl-9999-r2 removed, the bumblebee overlay 9999-r1 version has... (diff)
downloadseden-f3a6a29e36628819f5644facdc3d527ec0b1ef30.tar.gz
seden-f3a6a29e36628819f5644facdc3d527ec0b1ef30.tar.bz2
seden-f3a6a29e36628819f5644facdc3d527ec0b1ef30.zip
x11-misc/bumblebee-9999-r1 : temporary ebuild to use develop instead of the (deprecated and inactive) master branch
-rw-r--r--x11-misc/bumblebee/ChangeLog9
-rw-r--r--x11-misc/bumblebee/Manifest6
-rw-r--r--x11-misc/bumblebee/bumblebee-9999-r1.ebuild91
-rw-r--r--x11-misc/bumblebee/files/bumblebee.confd3
-rw-r--r--x11-misc/bumblebee/files/bumblebee.envd3
-rw-r--r--x11-misc/bumblebee/files/bumblebee.initd23
-rw-r--r--x11-misc/bumblebee/metadata.xml21
7 files changed, 156 insertions, 0 deletions
diff --git a/x11-misc/bumblebee/ChangeLog b/x11-misc/bumblebee/ChangeLog
new file mode 100644
index 0000000..dfcc8b0
--- /dev/null
+++ b/x11-misc/bumblebee/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for x11-misc/bumblebee
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*x11-misc/bumblebee-9999-r1 (11 Dec 2014)
+
+ 11 Dec 2014; Sven Eden <yamakuzure@gmx.net> +bumblebee-9999-r1
+ - Use git-r3
+ - Use develop branch instead of the (long inactive) master
diff --git a/x11-misc/bumblebee/Manifest b/x11-misc/bumblebee/Manifest
new file mode 100644
index 0000000..70e5fca
--- /dev/null
+++ b/x11-misc/bumblebee/Manifest
@@ -0,0 +1,6 @@
+AUX bumblebee.confd 60 SHA256 9e0287f542cff0fd3452a0c3d6d427a3404706c93ac9a00f4d99fe52ed596d75 SHA512 4c773002e372e1696c0922bda91a104ea0ee244eb6beac84a4e7ad2ff1aee265aa248e63c3ad55ea75cabbd36b03d9efa3f8ec3ef708346837ab6a10d6652251 WHIRLPOOL 53e0f7efcf8ceb1990feccabb2050a440ea5e279703c70c896ced4a0a042c191c4ef6c5096dd237af86ca2bcc8d61782cf057f56b6f21983dd642832f314bfbd
+AUX bumblebee.envd 127 SHA256 fd6c2719f8268a03fe01df6f9ead660faa3f7aa2a63230d5a7e923a190077437 SHA512 f42bd5992a8c80d045036a689e3c33cc2bdb7d54afb03bb7f33a80fa6a9c1e05f583cdec5b3da42021c48c1b59db4664e9c850e48ada47a1887327f7b11633af WHIRLPOOL dc5d9dffd2b5219f7c6f11a917cbab004fa3ed89005357dbc1dd1eb3833d4243209c71ccc0b3abc6163c1c192e1a7de8dc1b7ce137ba43aa8f0157ecfd78857c
+AUX bumblebee.initd 500 SHA256 2c84187dd9898220b60fd6ea91adfa8e6a5b5e033f55cc73c0fb395fec236e90 SHA512 f20e77021778de4ac15fd21bffe891780cecc4fe437702962c5169415a2846a6ff5a66227618177a99a6977248e1c33ce2a55290c5c6ff3a4c87c804d352048a WHIRLPOOL 58db3b5196906c8746871851ca50cf65ccab824e5352997d8608905d71f339c6865be6f29982e6c33f679cae0692030bfdc8d8841ccbfcda45a33cfba9f15932
+EBUILD bumblebee-9999-r1.ebuild 2225 SHA256 ff3e7ebe9e5da5b57a0e2d78a39dc0065bbfde1e9598b2da94fed20c6768e407 SHA512 b881c75fd7efa50910774e055fd1f0196ff773a95bfdedf7ccce54f8253913e8152eec1d6afcc20a642f8b1f02cb5b3878aa4d76507451afc5fd91e3cd19e22b WHIRLPOOL a9f013341c3cb005704355c0c021bb86f0ddcbf52311ffa3509534b90dc1821df7835d029d938f7f55c2e552efe6f48ff6f280f2ec045100046e80a974be5155
+MISC ChangeLog 303 SHA256 09e6044ea89599cd38d042173fa3676fc8b8966d734c8e9ff56198fa64d4886b SHA512 1c034407f08daa5c19d149d32a7308edb6e80987083be8ba692787505486d36fbc045b3e438fd46bd185a1053194353211c4c5ba6f56cb68de477624b4230b3a WHIRLPOOL 15e0702aaa9fe233785b4878af950adab602bb61e6f584552fc1aef12ded6aea586dff650706f9f99c89a0ad890955ee6a6bc9369bbfcb71e030dd6a2a2c5d59
+MISC metadata.xml 828 SHA256 905455d45133c8c32abd1e8adab26a99ca26d6f334f98bcfc133ed526f04689d SHA512 8dc1137c83ba307809c7b1c8659bf5bac6a86964e74bb87f1b78c4708ebd2a36df2e3c1f6902aa3ec25b9c017ff2828cc41dbe049fc53f0ea6c6a9e0f83485b4 WHIRLPOOL ac6e8db4aa91d98467402b20b124259459355bdb338d2dfd4983dc70f78fe1b1a243eab4eccd61b443991c4c4e0c8f103e23b4d1cc4a96ebc49e214f2aa1e20d
diff --git a/x11-misc/bumblebee/bumblebee-9999-r1.ebuild b/x11-misc/bumblebee/bumblebee-9999-r1.ebuild
new file mode 100644
index 0000000..943391e
--- /dev/null
+++ b/x11-misc/bumblebee/bumblebee-9999-r1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+inherit autotools base git-r3 multilib eutils readme.gentoo systemd user
+
+DESCRIPTION="Service providing elegant and stable means of managing Optimus graphics chipsets"
+HOMEPAGE="http://bumblebee-project.org https://github.com/Bumblebee-Project/Bumblebee"
+
+EGIT_MIN_CLONE_TYPE="shallow"
+EGIT_REPO_URI="https://github.com/Bumblebee-Project/${PN/bu/Bu}.git"
+EGIT_BRANCH="develop"
+SRC_URI=""
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS=""
+
+IUSE="+bbswitch video_cards_nouveau video_cards_nvidia"
+
+RDEPEND="
+ virtual/opengl
+ x11-base/xorg-drivers[video_cards_nvidia?,video_cards_nouveau?]
+ bbswitch? ( sys-power/bbswitch:= )
+"
+DEPEND="${RDEPEND}
+ dev-libs/glib:2
+ dev-libs/libbsd
+ sys-apps/help2man
+ virtual/pkgconfig
+ x11-libs/libX11
+"
+
+PDEPEND="
+ || (
+ x11-misc/primus:=
+ x11-misc/virtualgl:=
+ )
+"
+
+REQUIRED_USE="|| ( video_cards_nouveau video_cards_nvidia )"
+
+src_prepare() {
+ base_src_prepare
+ eautoreconf
+}
+
+src_configure() {
+ DOC_CONTENTS="In order to use Bumblebee, add your user to 'bumblebee' group.
+ You may need to setup your /etc/bumblebee/bumblebee.conf"
+
+ if use video_cards_nvidia ; then
+ # use ABI-independent path ($LIB is interpreted by ld.so, $$
+ # escapes $ for make
+ nvlib='/usr/$$LIB/opengl/nvidia/lib'
+
+ local nvpref="/usr/$(get_libdir)/opengl/nvidia"
+ local xorgpref="/usr/$(get_libdir)/xorg/modules"
+ ECONF_PARAMS="CONF_DRIVER=nvidia CONF_DRIVER_MODULE_NVIDIA=nvidia \
+ CONF_LDPATH_NVIDIA=${nvlib#:} \
+ CONF_MODPATH_NVIDIA=${nvpref}/lib,${nvpref}/extensions,${xorgpref}/drivers,${xorgpref}"
+ fi
+
+ econf \
+ --docdir=/usr/share/doc/"${PF}" \
+ ${ECONF_PARAMS}
+}
+
+src_compile() {
+ emake scripts/systemd/bumblebeed.service
+ default
+}
+
+src_install() {
+ newconfd "${FILESDIR}"/bumblebee.confd bumblebee
+ newinitd "${FILESDIR}"/bumblebee.initd bumblebee
+ newenvd "${FILESDIR}"/bumblebee.envd 99bumblebee
+ systemd_dounit scripts/systemd/bumblebeed.service
+
+ readme.gentoo_create_doc
+
+ default
+}
+
+pkg_preinst() {
+ use video_cards_nvidia || rm "${ED}"/etc/bumblebee/xorg.conf.nvidia
+ use video_cards_nouveau || rm "${ED}"/etc/bumblebee/xorg.conf.nouveau
+
+ enewgroup bumblebee
+}
diff --git a/x11-misc/bumblebee/files/bumblebee.confd b/x11-misc/bumblebee/files/bumblebee.confd
new file mode 100644
index 0000000..1c70206
--- /dev/null
+++ b/x11-misc/bumblebee/files/bumblebee.confd
@@ -0,0 +1,3 @@
+# /etc/conf.d/bumblebee
+
+BUMBLEBEE_EXTRA_OPTS="--use-syslog" \ No newline at end of file
diff --git a/x11-misc/bumblebee/files/bumblebee.envd b/x11-misc/bumblebee/files/bumblebee.envd
new file mode 100644
index 0000000..e19cc56
--- /dev/null
+++ b/x11-misc/bumblebee/files/bumblebee.envd
@@ -0,0 +1,3 @@
+# Comment this out if you are using VirtualGL also for other purposes and this
+# slows down things for you.
+VGL_READBACK="pbo"
diff --git a/x11-misc/bumblebee/files/bumblebee.initd b/x11-misc/bumblebee/files/bumblebee.initd
new file mode 100644
index 0000000..bab0c70
--- /dev/null
+++ b/x11-misc/bumblebee/files/bumblebee.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+depend() {
+ need localmount
+}
+
+PIDFILE="${PIDFILE:-/var/run/bumblebee.pid}"
+
+start() {
+ ebegin "Starting BumbleBee Daemon"
+ start-stop-daemon -S -p "${PIDFILE}" -x /usr/sbin/bumblebeed -- -D ${BUMBLEBEE_EXTRA_OPTS} --pidfile "${PIDFILE}"
+ eend $?
+}
+
+stop() {
+
+ ebegin "Stopping BumbleBee Daemon"
+ start-stop-daemon -K -p "${PIDFILE}" -R SIGTERM/10
+ eend $?
+}
diff --git a/x11-misc/bumblebee/metadata.xml b/x11-misc/bumblebee/metadata.xml
new file mode 100644
index 0000000..e145305
--- /dev/null
+++ b/x11-misc/bumblebee/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>mva@mva.name</email>
+ <description>
+ If you have any issues with Bumblebee on Gentoo, please contact me.
+ </description>
+ <name>Vadim A. Misbakh-Soloviov</name>
+ </maintainer>
+ <longdescription>
+ A rewrite of the original Bumblebee service, providing an elegant and stable
+ means of managing Optimus hybrid graphics chipsets. A primary goal of this
+ project is to not only enable use of the discrete GPU for rendering, but
+ also to enable smart power management of the dGPU when it's not in use.
+ </longdescription>
+ <use>
+ <flag name="bbswitch">Add dependency on <pkg>sys-kernel/bbswitch</pkg> for
+ PM feature</flag>
+ </use>
+</pkgmetadata>